Chilkat v11.4.0 Release Notes

Pinned April 1, 2026

  ✨ New Features Js A new Chilkat class has been added: Js is a minimal, standards-compliant JavaScript engine designed to embed JavaScript inside applications with very small footprint and fast startup. It executes JavaScript code inside an application without requiring a browser or large runtime. See About the Chilkat.Js JavaScript Engine Ai Provider — […]

Chilkat v11.3.0 Release Notes

Pinned December 16, 2025

  The main features of this release focus on Chilkat’s Ai class, enabling interactive AI response streaming directly into embedded desktop application browsers. It supports Azure, custom base URLs for OpenAI-compatible providers, and local providers like Ollama. ✨ New Features Ai Real-Time Streaming AI Responses to Embedded Browsers in Desktop Apps — Stream AI responses […]

Chilkat v11.2.0 Release Notes

Pinned November 3, 2025

Previous Version: Chilkat v11.1.0 Release Notes The main addition in v11.2.0 is the Chilkat.Ai class, and the Chilkat.StringBuilder.MarkdownToHtml method. Ai: The Chilkat AI class provides a unified API for interacting with different AI providers: OpenAI, Google, Claude, xAI, Perplexity, and DeepSeek. It provides functionality for conversation management, multimodal inputs, and streaming mode. Markdown to HTML […]

Semantic Versioning Starting with Chilkat 10.0.0

Pinned September 26, 2024

Starting with the v10.0.0 release (end of September 2024), Chilkat moves to standard semantic versioning.   Prior to this release, for various technical reasons, Chilkat was stuck with versions 9.5.0.xx, where only xx changed. For this first leap to semantic versioning, where the major version changes to 10 (from 9), there are no backward incompatible changes.  […]

How to Implement a REST API Function

October 11, 2024 in REST API

Question: We are trying to interface with RingCentral to send faxes and they require us to upload the file and also send a JSON message at the same time – is there a function that can do this? Answer: The best way to solve such a problem is as follows: 1. Find the Developer Documentation […]

Using PeerBlock can Interfere with REST API’s running on AWS Lambda

June 26, 2020 in REST API

A Chilkat customer uses Chilkat HTTP to send REST API requests to a popular IP Geolocation service.   The REST API requests worked a few times, but then started failing with this error information in Http.LastErrorText: ConnectFailReason: Connection rejected A few possible causes for a connection being rejected are: – A firewall (software or hardware), such […]

GMail SMTP

November 27, 2018 in Uncategorized

Question: I am trying to send email via GMail using the SMTP protocol.  I am sending the correct GMail login credentials, but I get this error: … smtpAuthenticate: login_method: LOGIN auth_login: smtpSendGet2: sendCmdToSmtp: SmtpCmdSent: AUTH LOGIN –sendCmdToSmtp readSmtpResponse: SmtpCmdResp: 334 VXNlcm5hbWU6 –readSmtpResponse –smtpSendGet2 sendCmdToSmtp: SmtpCmdSent: *** –sendCmdToSmtp readSmtpResponse: SmtpCmdResp: 334 UGFzc3dvcmQ6 –readSmtpResponse sendCmdToSmtp: SmtpCmdSent: {PasswordOrCredentials} […]

Use Chilkat for the *** REST API?

October 26, 2018 in Uncategorized

Question: Have you ever worked with Avalara Tax Software?  I need to write an interface between our application and Avalara.  Do you know if I could use the Chilkat REST API to write the interface? Answer: Yes, you can use Chilkat REST to call any REST API.   A good way to go about it […]

Calling a REST POST API and Parsing JSON/XML Response

August 29, 2018 in Uncategorized

This blog post describes a general procedure for writing code that calls an HTTP/HTTPS POST REST API and parses the JSON or XML response. Step 1: Form the CURL Command A POST request in the form of a CURL command will look like this: curl -X POST https://test-api.service.hmrc.gov.uk/organisations/vat/123456789/returns \ -H “Accept: application/vnd.hmrc.1.0+json” \ -H “Content-Type: […]

Calling a REST GET API and Parsing JSON/XML Response

August 29, 2018 in Uncategorized

This blog post describes a general procedure for writing code that calls an HTTP/HTTPS GET REST API and parses the JSON or XML response. Step 1: Form the CURL Command A GET request in the form of a CURL command will look like this: curl -X GET https://test-api.service.hmrc.gov.uk/organisations/vat/123456789/obligations \ -H “Accept: application/vnd.hmrc.1.0+json”  \ -H “Authorization: […]